### Class

# AppStream ContentRating

#### Description

    class AppStream.ContentRating : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### as_content_rating_new

Creates a new `AsContentRating`.

since: 0.11.0

#### Functions

###### as_content_rating_attribute_from_csm_age

Gets the highest `AsContentRatingValue` which is allowed to be seen by the given Common Sense Media `age` for the given subsection `id`.

since: 0.12.12

###### as_content_rating_attribute_get_description

Get a human-readable description of what content would be expected to require the content rating attribute given by `id` and `value`.

since: 0.12.12

###### as_content_rating_attribute_to_csm_age

Gets the Common Sense Media approved age for a specific rating level.

since: 0.12.10

###### as_content_rating_get_all_rating_ids

Returns a list of all the valid OARS content rating attribute IDs as could be passed to `as_content_rating_add_attribute()` or as_content_rating_attribute_to_csm_age().

since: 0.12.10

#### Instance methods

###### as_content_rating_add_attribute

Adds an attribute value to the content rating.

since: 0.14.0

###### as_content_rating_get_kind

Gets the content_rating kind.

since: 0.11.0

###### as_content_rating_get_minimum_age

Gets the lowest Common Sense Media approved age for the content_rating block. NOTE: these numbers are based on the data and descriptions available from https://www.commonsensemedia.org/about-us/our-mission/about-our-ratings and you may disagree with them.

since: 0.11.0

###### as_content_rating_get_rating_ids

Gets the set of ratings IDs which are present in this `content_rating`. An example of a ratings ID is `violence-bloodshed`.

since: 0.12.10

###### as_content_rating_get_value

Gets the value of a content rating key.

since: 0.11.0

###### as_content_rating_set_kind

Sets the content rating kind.

since: 0.11.0

###### as_content_rating_set_value

Sets the value of a content rating key.

since: 0.11.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamContentRatingClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.